document.addEventListener('DOMContentLoaded', function() {
  // Add interactive elements here if needed
  const albumCards = document.querySelectorAll('.album-card');
  
  albumCards.forEach(card => {
    card.addEventListener('click', function(e) {
      if (!e.target.closest('a')) {
        this.querySelector('.track-list').classList.toggle('show');
      }
    });
  });
  
  // Sort albums by year
  const albumContainer = document.querySelector('.container');
  const albums = Array.from(document.querySelectorAll('.album-card'));
  
  albums.sort((a, b) => {
    const yearA = parseInt(a.querySelector('.album-year').textContent);
    const yearB = parseInt(b.querySelector('.album-year').textContent);
    return yearA - yearB;
  });
  
  albums.forEach(album => {
    albumContainer.appendChild(album);
  });
});